[Israel.pm] upgrading to Perl 5.8.4

Shlomo Yona shlomo at cs.haifa.ac.il
Thu May 20 00:55:28 PDT 2004


On Thu, 20 May 2004, Shlomi Fish wrote:

> Well, either you install the newer packages that are required, or you

I did. Promlem is -- the Perl rpm seems to cause urpmi to
complain about bad signatures. what's that all about?

> install Perl from source under, say, /usr/local/apps/perl-5.8.4/.

This seems like the best thing to do -- only that I'm afraid
to have the Perl installed by the mandrake distribution and
abother one which is mine -- I'll now have to worry about
using the correct Perl, and binding to the correct Perl --
and also -- when installing modules, I'll probably get
confused where they were installed (for the preinstalled
Perl or the one I installed myself) -- in order to avoid
such confusions -- I really want to "upgrade" the current
Perl of my system. However -- urpmi doesn't let me do that.
It sounds strange that the only way to go is upgrading to
Mandrake 10. -- Right?


-- 
Shlomo Yona
shlomo at cs.haifa.ac.il
http://cs.haifa.ac.il/~shlomo/




More information about the Perl mailing list